	DEFAULT_COLOR = {192, 192, 192} -- default window color
	INTERFACE_COLOR = {255, 255, 255} -- default interface color 
	MAP_DEFAULT_COLOR = {255, 0, 255}
	ALPHA_CHANNEL = {}

	color = {255, 255, 255, 255} -- box
	colors = {
	{255,255,255,255}, -- white
	{128,0,128,255}, -- purple
	{0,0,255,255}, -- blue
	{0,0,0,255}, -- black
	{255,0,0,255}, -- red
	{255,255,0,255}, -- yellow
	{255,128,0,255}, -- orange
	{150,150,150,255}, -- grey
	{0,255,0,255}, -- green
	{0,255,255,255}, -- aqua
	{255,0,255,255}, -- pink
	{156,8,0,255}, -- dark red
	{80,48,17,255}, -- brown
	{168,119,61,255} --light brown
	}
	colors[0] = {0,0,0,0}
	
function setAlphaChannel(color)
	ALPHA_CHANNEL = {unpack(color), 0}
end

function getDefaultColor()
	return DEFAULT_COLOR
end

function getInterfaceColor()
	--local font = love.graphics.newFont(15)
	--love.graphics.setFont(font)
	return INTERFACE_COLOR
end

function setColorDefault()
	love.graphics.setColor(getDefaultColor(), 255)
end

function setInterfaceColorDefault()
	love.graphics.setColor(getInterfaceColor(), 255)
end