--[[ 
	Each panel has a global x & y and then a local x & y based on dimensions of the window
	If i want to load anything in the window it should be placed inside of the panels
]]
function rightPanel()
mousex, mousey = love.mouse.getPosition()
	local x = rightpanelx
	rightPanelGlobalX = x

	local y = rightpanely
	rightPanelGlobalY = y
	
	loadInterface(x, 0, 100, windowwidth) -- draws the background
	love.graphics.setColor(0, 0, 0, 255) -- black
	
	love.graphics.print("COLOR", x+28, 5)
	
	love.graphics.setColor(unpack(color))
	--print(unpack(color))
	love.graphics.rectangle("fill", x+10, 20, 80, 80) -- color box
	love.graphics.setColor(0, 0, 0, 255) -- black
	love.graphics.rectangle("line", x+10, 20, 80, 80) -- outline of color box
	love.graphics.print("MouseX : " .. love.mouse.getX(), x+5, y+5)
	love.graphics.print("MouseY : " .. love.mouse.getY(), x+5, y+20)
	love.graphics.print("Map X : " .. math.floor(mousex / imgscale), x+5, y+35)
	love.graphics.print("Map Y : " .. math.floor(mousey / imgscale), x+5, y+50)
	love.graphics.print("Layer : " .. layer, x+5, y+65)
	love.graphics.print("Scaled : x" .. imgscale, x+5, y+80)
	love.graphics.print("Tile "..getMapWidth().." x "..getMapHeight(), x+5, y+95)
	love.graphics.setColor(255, 255, 255, 255) -- white
	
	-- keeping for later use
	zoomy = y+110
	zoomx = x+50
	if zoombuttonover then
		love.graphics.draw(zoomplusimg, zoomimgquad[2], x+5, zoomy)
	else
		love.graphics.draw(zoomplusimg, zoomimgquad[1], x+5, zoomy)
	end
	if zoombutton2over then
		love.graphics.draw(zoomminusimg, zoomimgquad[2], zoomx, zoomy)
	else
		love.graphics.draw(zoomminusimg, zoomimgquad[1], zoomx, zoomy)
	end
	if savebuttonover then
		love.graphics.setColor(130, 130, 130)
	else
		love.graphics.setColor(0, 0, 0)
	end
	
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(toolsbuttonimg, toolsbuttonquad[tool], 704, 240)
	if play then
		love.graphics.setColor(255, 0, 0, 200)
		love.graphics.print("Stop", 725, 200)
		love.graphics.rectangle("fill", 710, 200, 15, 15)
	end
	
	if tool == 1 then
		
		mapToggle:draw()
		wireToggle:draw()
		love.graphics.rectangle("fill", 750, 300, 15, 15)
		love.graphics.rectangle("fill", 770, 300, 15, 15)
		-- 2nd row
		love.graphics.rectangle("fill", 710, 320, 15, 15)
		love.graphics.rectangle("fill", 730, 320, 15, 15)
		love.graphics.rectangle("fill", 750, 320, 15, 15)
		love.graphics.rectangle("fill", 770, 320, 15, 15)
		-- 3rd row
		love.graphics.rectangle("fill", 710, 340, 15, 15)
		love.graphics.rectangle("fill", 730, 340, 15, 15)
		love.graphics.rectangle("fill", 750, 340, 15, 15)
		love.graphics.rectangle("fill", 770, 340, 15, 15)
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.print("Save", rightPanelGlobalX+30, rightPanelGlobalY+300)
		love.graphics.rectangle("fill", rightPanelGlobalX, rightPanelGlobalY+400, 50, 50)

		if pasteready then
			love.graphics.print("Press P to", 712, 330)
			love.graphics.print("paste", 726, 348)
		else
			--love.graphics.print("Press any", 712, 330)
			--love.graphics.print("number to", 712, 348)
			--love.graphics.print("change color", 706, 366)
		end
	elseif tool == 2 then
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.print("Adjust the", 705, 300)
		love.graphics.print("map's width", 705, 315)
		love.graphics.print("with left &", 705, 330)
		love.graphics.print("right keys &", 705, 345)
		love.graphics.print("it's height", 705, 360)
		love.graphics.print("with the up", 705, 375)
		love.graphics.print("& down keys", 705, 390)
		love.graphics.print("to adjust both", 705, 405)
		love.graphics.print("height & width ", 705, 420)
		love.graphics.print("use the z & x", 705, 435)
		love.graphics.print("keys ", 705, 450)
		--love.graphics.print("pick color", 715, 308)
		
	elseif tool == 3 then
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.print("Press C to", 712, 290)
		love.graphics.print("copy", 730, 308)
		if selection[1][1] ~= 0 and selection[1][2] ~= 0 then
			love.graphics.setColor(0, 150, 255, 150)
			--much math
			local shtuff = ( selectionorigin[1] * imgscale ) + imgdrag[1]
			local shtuff2 = ( selectionorigin[2] * imgscale ) + imgdrag[2]
			local shtuff3 = ( ( selection[2][1] * imgscale ) + imgdrag[1]) - shtuff
			local shtuff4 = ( ( selection[2][2] * imgscale ) + imgdrag[2]) - shtuff2
			love.graphics.rectangle("fill", shtuff, shtuff2, shtuff3 + imgscale, shtuff4 + imgscale)
		end
	end
	

	
	setInterfaceColorDefault()
end



function bottomPanel()
	local x = bottompanelx
	local y = bottompanely -- windowheight - 50
	local width = bottompanelw
	local height = bottompanelh -- 50
	loadInterface(x, y, width, height) -- bottom panel
	
	--love.graphics.rectangle("fill", ewindowh, , 15, 15)
	-- x, space, y, width, height, tile width, tile height
	DrawPallete(0, 5, y) -- color pallete and tiles
	setInterfaceColorDefault()
end
-- this is the basic background
function InterfaceWindow()
	loadInterface(0, 0, windowwidth, windowheight, nil, interfaceborder) -- layout
end


function EditWindow()
	tile_wd = interfaceborder
	tile_yd = interfaceborder
	if mapToggle.active == false then
		drawMapWindow()
		setInterfaceColorDefault()
	end
end


function MapWindow()
	if mapToggle.active == true then
		drawGrid(gridlocx, gridlocy, imgdata)
		setInterfaceColorDefault()
	end
end


function newWindow(x, y)
	--love.graphics.rectangle("fill", box.x, box.y, box.width, box.height)
	love.graphics.draw(box.image, box.x, box.y)
end



