-- os.execute("C:\\dir")
-- the layer map is a perfect example of top order 3d in a perspective view
-- its layer is its position or order in 3d space, local coordinate is world + local pos, essentially world - local is local
function love.load()
require"lib/globals"
require"lib/functions"
require"lib/panels"
require"lib/tools"
require"lib/map"
require"lib/color"
require"lib/eventhandling"
Button = require"lib/buttons"
	love.graphics.setWireframe(false)
	love.graphics.setBackgroundColor(getDefaultColor())
	love.graphics.setDefaultFilter("nearest")
	loadTiles()

	save_dir = love.filesystem.getSaveDirectory()
	rawfiles = love.filesystem.getDirectoryItems(save_dir)
	mapToggle  = Button(710, 300, 0, 15, 15, {0, 0, 0, 255}, "M", 715, 300, false)
	wireToggle = Button(730, 300, 0, 15, 15, {0, 0, 0, 255}, "W", 735, 300, false)

	imgdata = setimage(imgw,imgh) -- this is the inital tile / image / map
	buttonstuff()
	loadmap(grid, imgdata, 1, 1, imgw, imgh, 0, 0) -- load the inital map
end

function love.update()
mousex, mousey = love.mouse.getPosition()

mouseoverstuff(dt)
loadTools()
end
--[[ 
lots to do, selection, copy and paste, maybe stamp drawing or mirror drawing
 need to shrink down map preview or make it dragable also need to make pallet dragable in x direction and add different tilesets load at different
 times from menu selection
 ]]
function love.draw()
	if wireToggle == true then
	print(true)
		setWireFrame(true)
	 else
		setWireFrame(false)
	end
	EditWindow()
	MapWindow()
	rightPanel()
	bottomPanel()
end

function updateMap()
	return imgdata
end

